%global major  4
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:          zita-convolver
Summary:       Convolution engine library
Version:       4.0.3
Release:       %mkrel 2
License:       GPLv3+
Group:         System/Libraries
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2

BuildRequires: fftw-devel
BuildRequires: gcc-c++

%description
%{name} is a fast, partitioned convolution engine library.

%package -n %{libname}
Summary:       Fast, partitioned convolution engine library
Group:         System/Libraries

%description -n %{libname}
%{name} is a fast, partitioned convolution engine library.

%package -n %{devname}
Summary:       Fast, partitioned convolution engine library
Group:         System/Libraries
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{devname}
%{name} is a fast, partitioned convolution engine library. This package
contains libraries and header files for developing applications that use
%{name}.

%prep
%autosetup -p1

# No need to call ldconfig during packaging
sed -i '\|ldconfig|d' source/Makefile
# Preserve timestamps
sed -i 's|install |install -p |' source/Makefile
# Force optflags
sed -i 's|-march=native|%{optflags}|' source/Makefile

%build
pushd source
%make_build  PREFIX=%{_prefix} 
popd

%install
pushd source
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir}
popd

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS
%license COPYING
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so


%changelog
* Mon Mar 09 2020 barjac <barjac> 4.0.3-2.mga8
+ Revision: 1554988
- fix libdir
- new version 4.0.3
- new major 4

* Fri Feb 14 2020 umeabot <umeabot> 3.1.0-2.mga8
+ Revision: 1522826
- Mageia 8 Mass Rebuild

* Fri Feb 08 2019 barjac <barjac> 3.1.0-1.mga7
+ Revision: 1364334
- Edit spec for Mageia
- Import new package from Fedora

